%global bundle org.springframework.build.aws.ant
%global namedreltag %nil
%global namedversion %{version}%{?namedreltag}
Name:          spring-build-aws-ant
Version:       3.0.6
Release:       %mkrel 1
Summary:       Amazon Web Service ANT Tasks
Group:         Development/Java
License:       ASL 2,0
Url:           http://www.springsource.org/
# mkdir -p aws-ant-3.0.6
# git clone git://git.springsource.org/spring-build/aws-ant.git
# cd aws-ant
# git archive master | tar -x -C ../aws-ant-3.0.6
# cd ..
# tar czf aws-ant-3.0.6-src-git.tar.gz aws-ant-3.0.6
Source0:       aws-ant-%{namedversion}-src-git.tar.gz
# mkdir -p spring-build-2.8.0
# git clone git://git.springsource.org/spring-build/spring-build.git
# cd spring-build
# git archive 2.8.0 | tar -x -C ../spring-build-2.8.0
# cd ..
# tar czf spring-build-2.8.0-src-git.tar.gz spring-build-2.8.0
Source1:       spring-build-2.8.0-src-git.tar.gz
Source2:       org.springframework.build.aws.ant.pom

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: apache-commons-codec 
BuildRequires: apache-commons-logging 
BuildRequires: ecj3
BuildRequires: ivy
BuildRequires: jakarta-commons-httpclient
BuildRequires: java-xmlbuilder
BuildRequires: jets3t07
BuildRequires: spring-build-ant
BuildRequires: spring-build-aws-ivy

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Spring projects are built using a combination of Ant and Ivy that is refered
to simply as 'Spring Build'.

This package contains Amazon Web Service ANT Tasks.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n aws-ant-%{namedversion} -a 1

for f in $(find . -name "*.jar"); do
 mv $f $f.no
done

##ln -sf $(build-classpath jets3t07) spring-build-2.8.0/lib/ivy/jets3t.jar


rm -rf spring-build
mv spring-build-2.8.0 spring-build

mkdir -p local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0
ln -sf $(build-classpath ant) \
  local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/com.springsource.org.apache.tools.ant-1.7.0.jar

touch local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/com.springsource.org.apache.tools.ant-sources-1.7.0.jar
touch local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/license-1.7.0.txt
touch local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/notice-1.7.0.txt

mkdir -p local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE
touch local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-sources-1.1.0.RELEASE.jar
ln -sf $(build-classpath spring-build/org.springframework.build.ant) \
  local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-1.1.0.RELEASE.jar

mkdir -p local-repository/repository/org.jets3t/com.springsource.org.jets3t/0.6.1
ln -sf $(build-classpath jets3t07) \
  local-repository/repository/org.jets3t/com.springsource.org.jets3t/0.6.1/com.springsource.org.jets3t-0.6.1.jar
touch local-repository/repository/org.jets3t/com.springsource.org.jets3t/0.6.1/license-0.6.1.txt
touch local-repository/repository/org.jets3t/com.springsource.org.jets3t/0.6.1/com.springsource.org.jets3t-sources-0.6.1.jar

mkdir -p local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1
ln -sf $(build-classpath java-xmlbuilder) \
  local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1/com.springsource.com.jamesmurty.utils-0.0.1.jar
touch local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1/com.springsource.com.jamesmurty.utils-sources-0.0.1.jar
touch local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1/license-0.0.1.txt

mkdir -p local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1
ln -sf $(build-classpath ecj3) \
  local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/com.springsource.org.eclipse.jdt.core.compiler.batch-3.6.1.jar

touch local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/license-3.6.1.txt
touch local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/com.springsource.org.eclipse.jdt.core.compiler.batch-sources-3.6.1.jar

mkdir -p local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0
ln -sf $(build-classpath commons-codec) \
  local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0/com.springsource.org.apache.commons.codec-1.3.0.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0/com.springsource.org.apache.commons.codec-sources-1.3.0.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0/license-1.3.0.txt

mkdir -p local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0
ln -sf $(build-classpath commons-httpclient) \
  local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0/com.springsource.org.apache.commons.httpclient-3.1.0.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0/com.springsource.org.apache.commons.httpclient-sources-3.1.0.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0/license-3.1.0.txt

mkdir -p local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1
ln -sf $(build-classpath commons-logging) \
  local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/com.springsource.org.apache.commons.logging-1.1.1.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/com.springsource.org.apache.commons.logging-sources-1.1.1.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/license-1.1.1.txt

%build
export CLASSPATH=""
CLASSPATH=${CLASSPATH}:$(build-classpath commons-codec commons-httpclient commons-logging ivy jets3t07 spring-build/org.springframework.build.aws.ivy)
export ANT_OPTS="-Xmx768m -XX:MaxPermSize=128m"
export IVY_CACHE=$(pwd)/ivy-cache/repository
export IVY_LOCAL=$(pwd)/local-repository
export ANT_BUILD_OPTS="-Divy.cache.dir=${IVY_LOCAL} -Dlocal.repo.dir=${IVY_LOCAL} -Dtest.halt=false -Dbuild.sysclasspath=first -Djava.awt.headless=true"

(
  cd org.springframework.build.aws.ant
  %{ant} $ANT_BUILD_OPTS jar  javadoc-all
)
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/spring-build
install -pm 644 %{bundle}/target/artifacts/%{bundle}-sources.jar $RPM_BUILD_ROOT%{_javadir}/spring-build/
install -pm 644 %{bundle}/target/artifacts/%{bundle}.jar $RPM_BUILD_ROOT%{_javadir}/spring-build/

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.spring-build-%{bundle}.pom
sed -i "s|<version>@VERSION@</version>|<version>%{version}</version>|" $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.spring-build-%{bundle}.pom
%add_to_maven_depmap org.springframework.build %{bundle} %{version} JPP/spring-build %{bundle}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp %{bundle}/target/javadoc-all/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/spring-build/%{bundle}.jar
%{_javadir}/spring-build/%{bundle}-sources.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt notice.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Nov 28 2011 gil <gil> 3.0.6-1.mga2
+ Revision: 173980
- imported package spring-build-aws-ant

